> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raydium.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取 kline（蜡烛图）数据

> 检索 OHLC 蜡烛图数据。限制范围：1-500（默认 300）。



## OpenAPI

````yaml /zh/api-reference/openapi/launch-history-v1.yaml get /kline
openapi: 3.0.3
info:
  title: Raydium LaunchLab 历史数据 API
  description: 提供 LaunchLab 池的历史交易数据。包括 1 分钟、5 分钟和 15 分钟的 kline（蜡烛图）数据，以及单笔交易历史。
  version: 1.0.0
servers:
  - url: https://launch-history-v1.raydium.io
    description: Mainnet
  - url: https://launch-history-v1-devnet.raydium.io
    description: Devnet
security: []
tags:
  - name: Candle Data
    description: OHLC 蜡烛图数据
  - name: Trades
    description: 单笔交易历史
  - name: Utilities
    description: 健康检查
paths:
  /kline:
    get:
      tags:
        - Candle Data
      summary: 获取 kline（蜡烛图）数据
      description: 检索 OHLC 蜡烛图数据。限制范围：1-500（默认 300）。
      operationId: getKline
      parameters:
        - name: poolId
          in: query
          required: true
          schema:
            type: string
          description: 池 ID（代币铸造地址）
        - name: interval
          in: query
          required: true
          schema:
            type: string
            enum:
              - 1m
              - 5m
              - 15m
        - name: limit
          in: query
          schema:
            type: integer
            default: 300
            minimum: 1
            maximum: 500
        - name: nextPageKey
          in: query
          schema:
            type: string
          description: 分页令牌
      responses:
        '200':
          description: 带分页的 kline 数据

````